product: ucs
release: "4.4"
version: [7]
scope: ucs_4.4-0-errata4.4-7
src: ldb
fix: 2:1.5.8-1A~4.4.0.202103221908
desc: |
 This update addresses the following issues:
 * User-controlled LDAP filter strings against the AD DC LDAP server may
   crash the LDAP server. A string in an LDAP attribute that contains
   multiple consecutive leading spaces can lead to a memmove() of out of
   bounds memory in ldb_handler_fold() (CVE-2021-20277)
 * An anonymous attacker can crash the Samba AD DC LDAP server by sending
   easily crafted DNs as part of a bind request. More serious heap corruption
   is likely also possible. A DN may be represented in string form with
   arbitrary amounts of space around the component values. These spaces are
   supposed to be ignored, but invalid DNs strings with spaces may instead
   cause a zero byte to be written into out-of-bounds memory. (CVE-2020-27840)
bug: [52916]
cve:
 - CVE-2021-20277
 - CVE-2020-27840
